Bug 143060 - [MAINTAINER] dns/ldns 1.6.4 Bugfix release
Summary: [MAINTAINER] dns/ldns 1.6.4 Bugfix release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-21 17:40 UTC by Konstantin Saurbier
Modified: 2010-01-25 09:00 UTC (History)
0 users

See Also:


Attachments
file.diff (788 bytes, patch)
2010-01-21 17:40 UTC, Konstantin Saurbier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Saurbier 2010-01-21 17:40:07 UTC
Update of dns/ldns to version 1.6.4. It is a bugfix release from upstream.

Excerpt from the changelog:
1.6.4	2010-01-20
* Imported pyldns contribution by Zdenek Vasicek and Karel Slany.
 Changed its configure and Makefile to fit into ldns.
 Added its dname_* methods to the rdf_* class (as is the ldns API).
 Changed swig destroy of ldns_buffer class to ldns_buffer_free.
 Declared ldns_pkt_all and ldns_pkt_all_noquestion so swig sees them.
* Bugfix: parse PTR target of .tomhendrikx.nl with error not crash.
* Bugfix: handle escaped characters in TXT rdata.
* bug292: no longer crash on malformed domain names where a label is
 on position 255, which was a buffer overflow by one.
* Fix ldns_get_rr_list_hosts_frm_fp_l (strncpy to strlcpy change),
 which fixes resolv.conf reading badly terminated string buffers.
* Fix ldns_pkt_set_random_id to be more random, and a little faster,
 it did not do value 0 statistically correctly.
* Fix ldns_rdf2native_sockaddr_storage to set sockaddr type to zeroes,
 for portability.
* bug295: nsec3-hash routine no longer case sensitive.
* bug298: drill failed nsec3 denial of existence proof.

The patch is also available at:
http://files.saurbier.net/freebsd/patches/ldns/ldns-update-to-1.6.4.diff
http://files.saurbier.net/freebsd/patches/ldns/ldns-update-to-1.6.4.diff.asc

Build Logs:
http://files.saurbier.net/freebsd/logs/ldns/6.4-i386-ldns-1.6.4.log
http://files.saurbier.net/freebsd/logs/ldns/7.2-i386-ldns-1.6.4.log
http://files.saurbier.net/freebsd/logs/ldns/8.0-amd64-ldns-1.6.4.log

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-01-21 20:33:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-01-25 08:53:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2010-01-25 08:53:42 UTC
miwi        2010-01-25 08:53:29 UTC

  FreeBSD ports repository

  Modified files:
    dns/ldns             Makefile distinfo 
  Log:
  - Update to 1.6.4
  
  PR:             143060
  Submitted by:   Konstantin Saurbier <konstantin@saurbier.net> (maintainer)
  
  Revision  Changes    Path
  1.16      +1 -1      ports/dns/ldns/Makefile
  1.11      +3 -3      ports/dns/ldns/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"